.pagination {
  display: flex;
  justify-content: center; /* Centers the pagination horizontally */
  list-style-type: none;
  padding: 0;
  margin: 20px 0;
}

.pagination li a {
  color: black;
  padding: 10px 20px;
  text-decoration: none;
  border: 1px solid #ddd;
  margin: 0 4px;
  border-radius: 5px;
  transition: background-color 0.3s;

}

/* Hover effect for non-active links */
.pagination li a:hover:not(.active) {
  background-color: #c4c4c4; 
}

/* Active/Current Page Style */
.pagination li a.active {
  background-color: blue;
  color: white; width: 35%;
  border: 1px solid silver;
}

/* Disabled link style */
.pagination li a.disabled {
  color: #ccc;
  pointer-events: none;
}